Luxor PlatformAPI DocumentationWorkspaces

Get sites

Returns a list of all sites with details organized by product (energy, pool) based on user permissions.

GET
/v2/workspace/sites

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/workspace/sites"
{  "sites": [    {      "id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138",      "name": "My Site",      "url": "/v2/workspace/sites/b0a5fad8-0e09-4f10-ac20-ccd80fb2d138",      "country": "USA",      "energy": {        "base_load_kw": 100,        "max_load_kw": 1000,        "min_load_kw": 0,        "settlement_point_id": "123e4567-e89b-12d3-a456-426614174000",        "settlement_point_name": "LZ_NORTH",        "power_market": "ERCOT"      },      "pool": {        "subaccounts": [          {            "id": 1,            "name": "my_subaccount",            "created_at": "2019-08-24T14:15:22Z",            "url": "/v2/pool/subaccounts/my_subaccount"          }        ]      }    }  ]}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}